Bug 1126999 - /boot is put in a logical partition by the manual partition tool during installation and the box doesn't boot
Summary: /boot is put in a logical partition by the manual partition tool during insta...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 20:11 UTC by David Howells
Modified: 2015-12-02 16:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:20:53 UTC


Attachments (Terms of Use)
Anaconda installation log (92.05 KB, text/plain)
2014-08-05 20:15 UTC, David Howells
no flags Details
NIC config log (1.42 KB, text/plain)
2014-08-05 20:16 UTC, David Howells
no flags Details
Installation journal (1.01 MB, text/plain)
2014-08-05 20:18 UTC, David Howells
no flags Details
Packaging log (382.19 KB, text/x-log)
2014-08-05 20:19 UTC, David Howells
no flags Details
Program log (58.22 KB, text/x-log)
2014-08-05 20:19 UTC, David Howells
no flags Details
Blivet storage config log (5.11 MB, text/plain)
2014-08-05 20:21 UTC, David Howells
no flags Details
System log (132.14 KB, text/plain)
2014-08-05 20:21 UTC, David Howells
no flags Details

Description David Howells 2014-08-05 20:11:39 UTC
Description of problem:

I've installed F21 onto a box with a new pair of disks.  Almost all the partitions are RAID1'd (apart from swap).  I used the manual partition tool available during the VNC installer to add the partitions.

The system, however, won't boot from disk.  Booting into the installer and going to the side shell, I see the following:

/dev/sda1             2048 1048840191 1048838144 500.1G fd Linux raid autodetect
/dev/sda2       1048840192 2097678335 1048838144 500.1G fd Linux raid autodetect
/dev/sda3       2097678336 2307524607  209846272 100.1G fd Linux raid autodetect
/dev/sda4       2307524608 3907029167 1599504560 762.7G  5 Extended
/dev/sda5       2307526656 2412449791  104923136    50G fd Linux raid autodetect
/dev/sda6       2412451840 2517374975  104923136    50G fd Linux raid autodetect
/dev/sda7       2517377024 2622300159  104923136    50G fd Linux raid autodetect
/dev/sda8  *    2622302208 2623328255    1026048   501M fd Linux raid autodetect
/dev/sda9       2623330304 2623346687      16384     8M 82 Linux swap / Solaris
/dev/sda10      2623348736 3672186879 1048838144 500.1G fd Linux raid autodetect

(/dev/sdb looks identical)

Interestingly, /boot (501M in size) in a logical partition, not a primary partition.

/dev/sda and /dev/sdb both seem to have grub written into sector 0.

Comment 1 David Howells 2014-08-05 20:15:54 UTC
Created attachment 924278 [details]
Anaconda installation log

Comment 2 David Howells 2014-08-05 20:16:47 UTC
Created attachment 924279 [details]
NIC config log

Comment 3 David Howells 2014-08-05 20:18:39 UTC
Created attachment 924280 [details]
Installation journal

Comment 4 David Howells 2014-08-05 20:19:23 UTC
Created attachment 924281 [details]
Packaging log

Comment 5 David Howells 2014-08-05 20:19:55 UTC
Created attachment 924282 [details]
Program log

Comment 6 David Howells 2014-08-05 20:21:20 UTC
Created attachment 924283 [details]
Blivet storage config log

Comment 7 David Howells 2014-08-05 20:21:53 UTC
Created attachment 924284 [details]
System log

Comment 8 David Howells 2014-08-05 20:22:47 UTC
I skipped ks-script-PFBZQR.log as it was empty.

Comment 9 David Howells 2014-08-05 21:13:29 UTC
I used fdisk to remove the partition tables and reinstalled, this time with the Automatic disk partitioning and now it boots okay.

Comment 10 David Lehman 2014-08-06 23:52:20 UTC
I guess that means grub2 can't handle md on logical partitions. There is code to force a /boot partition to the front of the disk, barring any other explicit requests, but it does not apply to partitions that comprise a /boot md array. It shouldn't be too hard to enforce it for md member partitions, but it will be non-trivial. A workaround would be to use kickstart, specifying --asprimary for the /boot member partitions.

It's worth considering moving this to grub2, unless it is common knowledge that grub2 can't make sense of md on logical partition members.

Comment 11 Fedora Admin XMLRPC Client 2015-09-28 20:25:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora End Of Life 2015-11-04 10:24:02 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:20:56 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.